Subject: Re: [External] : bug#54156: 28.0.91; set-face-attribute with a nil FRAME doesn't change the default

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Feb 2022 19:50:39 +0200

> From: Drew Adams <[email-masked]>
> CC: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>,
>         "[email-masked]" <[email-masked]>
> Date: Sat, 26 Feb 2022 17:23:22 +0000
> 
> > I'm not sure this isn't the result of the particular implementation we
> > have, so I prefer to tell people to call with FRAME = t explicitly.
> > After all, this is a rare use case.
> 
> But is what I said correct, that just using nil
> as the frame makes both the existing frames and
> future ones use `unspecified' as the face value?

If you use 'unspecified', yes.

> And using _only_ `t' doesn't set the attribute
> to `unspecified' for the existing frames, right?

I didn't say to use only t.

> > We generally don't advertise compatibility shims for obsolete
> > features, because we want people to stop using them.
> 
> Is it declared to be obsolete?

It's considered unsupported.  We just silently support it for
compatibility with old versions.